# Uses of Interface
org.eclipse.e4.ui.model.application.ui.basic.MCompositePart

Packages that use MCompositePart
Package
Description
org.eclipse.e4.ui.model.application.ui.basic
Application programming interfaces describing the basic Eclipse 4 user interface model elements.
org.eclipse.e4.ui.model.application.ui.basic.impl
org.eclipse.e4.ui.model.application.ui.basic.util

## Uses of MCompositePart in org.eclipse.e4.ui.model.application.ui.basic

Methods in org.eclipse.e4.ui.model.application.ui.basic that return MCompositePart
Modifier and Type
Method
Description
`MCompositePart`
MBasicFactory.`createCompositePart()`
Returns a new object of class 'Composite Part'.

## Uses of MCompositePart in org.eclipse.e4.ui.model.application.ui.basic.impl

Classes in org.eclipse.e4.ui.model.application.ui.basic.impl that implement MCompositePart
Modifier and Type
Class
Description
`class`
`CompositePartImpl`
An implementation of the model object 'Composite Part'.
Methods in org.eclipse.e4.ui.model.application.ui.basic.impl that return MCompositePart
Modifier and Type
Method
Description
`MCompositePart`
BasicFactoryImpl.`createCompositePart()`

## Uses of MCompositePart in org.eclipse.e4.ui.model.application.ui.basic.util

Methods in org.eclipse.e4.ui.model.application.ui.basic.util with parameters of type MCompositePart
Modifier and Type
Method
Description
`T1`
BasicSwitch.`caseCompositePart(MCompositePart object)`
Returns the result of interpreting the object as an instance of 'Composite Part'.